=== debian/changelog ===
cl-asdf (2:3.1.6-1) unstable; urgency=low

  Package changes:
  * New uploader in control file
  * lintian-overrides for 2 script files which have a magic comment
    for invoking cl-launch
  * convert to short format dh
  * add a Vcs-Browser field
  * bump d/compat to 9
  New upstream release:
  * Fix backtrace on SBCL.
  * Fix RUN-PROGRAM of string (shell command) on Windows SBCL (ticket
    #1501373).
  * Fix a number of issues with bundle operations (especially on
    non-C-compiler-based implementations).
  * Fix component-finding in package-inferred-system.
  * Fix race condition between multiple concurrent lisp processes
    doing ASDF builds (ticket #1483948).
  * Fix misplaced fasl cache on Windows.
  * Miscellaneous bug fixes.
  * Documentation improvements.

 -- Kambiz Darabi <darabi@m-creations.net>  Mon, 29 Feb 2016 23:21:12 +0100

cl-asdf (2:3.1.5-1) unstable; urgency=low

  Bug fix and portability release:
  * Add immutable-system support (thanks to Dave Cooper).  This support
    should be regarded as preliminary and subject to change.
  * Substantially improved operation on Windows: many bugfixes and improve-
    ments to UIOP functions that interface with the operating system.
  * Add CLASP support.
  * Many miscellaneous fixes for issues on individual implementations,
    notably UIOP incompatibility introduced by SBCL 1.2.12, support for
    LispWorks 7 character types, fixes to chdir on ABCL, improvements
    to run-program on Windows.
  * Added OS-COND to UIOP to paper over some incompatibilities about when
    and how operating system can be detected on different implementations.
    Made OS predicates run test at runtime so you can bind *features* from
    a target system and determine its OS.
  * Fixes to XDG configuration directory handling.  Try to stick to the
    XDG spec, rather than guessing what it should be on different platforms.
    To recognize this, change UIOP functions about XDG files to "XDG-"
    prefixes.
  * Documentation improvements.

 -- François-René Rideau <fare@tunes.org>  Sat, 18 Jul 2015 16:51:50 -0500

cl-asdf (2:3.1.4-1) unstable; urgency=low

  [ Robert P. Goldman ]
  Bug fix release:
  * Remove compatibility stubs for old bundle classes (not working
    properly, anyway), these are now available in a contrib.
  * Add INPUT-STRING function to UIOP.
  * For developer and tester convenience, bring all the external
    dependencies into the git repo as submodules. See target make ext
  * Optionally speed up registry search by providing a cache for
    the SOURCE-REGISTRY. See the cache-generating script in:
      asdf/tools/cl-source-registry-cache.lisp
  * Fixes to tests and documentation.
  * Many minor bugfixes.

 -- François-René Rideau <fare@tunes.org>  Thu, 09 Oct 2014 21:18:21 -0400

cl-asdf (2:3.1.3-1) unstable; urgency=low

  Bug fix release:
  * A bug in 3.1.2 caused errors when hot-upgrading from 3.1.2 ASDF.
  * Fix bugs in ASDF component search caching. In some circumstances,
    aggressive caching (particularly of negative results) interfered with
    error-handling through restarts.  Also, in some cases use of caching
    interfered with error-checking. Some of these issues are discussed in
    ticket #1335323 on launchpad.
  * Miscellaneous bug fixes and tweaks to UIOP.
  * Documentation improvements.

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 14 Jul 2014 16:54:49 -0400

cl-asdf (2:3.1.2-2) unstable; urgency=low

  New release:
  * ~/common-lisp/ is now present by default in the source-registry, so
    you don't need to configure anything if you put source code there.
  * package-inferred-system implements the one-file, one-package, one-system
    paradigm of quick-build and faslpath as an extension to ASDF 3.
  * non-propagating-operation replaces OPERATION for operations as a base class
    to inherit from for operations that do not propagate,
    whereas for backward compatibility with ASDF 1 and 2,
    subclasses of OPERATION implicitly propagate DOWNWARD and SIDEWAYs.
    Failure to explicitly inherit from one of the explicitly propagating
    or non-propagating classes will result in a WARNING for now.
  * Accept strings as operation class designators in DEFSYSTEM, which
    provides better integration of ASDF extensions loaded using
    DEFSYSTEM-DEPENDS-ON.
  * force-not now takes precedence over force, and systems named in the
    *immutable-systems* set (represented as an equal hash-table) are always
    forced-not, and even their .asd is not refreshed from the filesystem.
  * portability is much improved, with support for the latest GCL, and
    fixes for ABCL, CLISP, ECL, LispWorks, MKCL, SBCL, XCL, etc.
  * bundle support was refactored, with many fixes to previously uncommon cases.
    ECL support is fixed, MKCL added, with a common extension to build programs
    without pulling in UIOP and with it the compiler.
    image-op was added to create heap images for use with e.g. cl-launch.
    load-fasl-op was renamed to load-bundle-op, fasl-op to compile-bundle-op,
    binary-op to deliver-asd-op, and so forth for the monolithic- variants;
    previous names remain available for backward compatibility.
  * robustness: Test improvements and new tests.
    Added missing dependencies in asdf.asd itself(!).
    Fixes to version-satisfies (thanks to stassats), to the file-stamp cache.
    Fix to regression from 3.0.2.12 whereby ASDF failed to avoid downgrading.
    Many cleanups. Many explanatory updates to source code comments.
  * run-program tweaked again, notably on Windows, on CLISP, and
    on implementations without a native run-program. On Windows, we
    punt on trying to ensure no final space is ever echo'ed by CMD.EXE " ".
  * provide both "asdf" and "ASDF" to play nicer with various Lisps.
  * upgrading from a sufficiently forward-compatible version (currently: 2.33)
    will be less disruptive of ASDF data and enhancements in the current image:

