=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	$(MAKE)
	$(MAKE) -C doc all
	ln -sf build/asdf.lisp .

# extensive tests are performed before release of the orig.tgz on
# different implementations, so we don't need to perform any tests
override_dh_auto_test:

# do not invoke make install: it tries to upload the tarball to
# common-lisp.net
override_dh_auto_install:
