## cl-asdf 3.1.7

=== Makefile ===
--- 
+++ 
@@ -32,6 +32,10 @@
   endif
 endif
 
+version := $(shell cat "version.lisp-expr")
+#$(info $$version is [${version}])
+version := $(patsubst "%",%,$(version))
+#$(info $$version is [${version}])
 
 ## grep for #+/#- features in the test/ directory to see plenty of disabled tests on some platforms
 ## NOT SUPPORTED BY OUR AUTOMATED TESTS:
@@ -95,7 +99,7 @@
 	temp=$$(cat version.lisp-expr); temp="$${temp%\"}"; temp="$${temp#\"}"; git tag $$temp
 
 bump-version: build/asdf.lisp
-	./bin/asdf-builder bump-version ${v}
+	./bin/bump-version ${v}
 
 driver-files:
 	@echo $(driver_lisp)
@@ -103,8 +107,27 @@
 defsystem-files:
 	@echo $(defsystem_lisp)
 
+# FIXME: needs rewrite
+#archive: build/asdf.lisp
+#	./bin/asdf-builder make-and-publish-archive
 archive: build/asdf.lisp
-	./bin/asdf-builder make-and-publish-archive
+	mkdir -p build/uiop 	# UIOP tarball
+	cp -pHux uiop/README.md uiop/uiop.asd uiop/asdf-driver.asd ${driver_lisp} build/uiop/
+	tar zcf "build/uiop-${version}.tgz" -C build uiop
+	rm -r build/uiop
+	mkdir -p build/asdf # asdf-defsystem tarball
+	cp -pHux build/asdf.lisp asdf.asd version.lisp-expr header.lisp README.md ${defsystem_lisp} build/asdf/
+	tar zcf "build/asdf-defsystem-${version}.tgz" -C build asdf
+	rm -r build/asdf
+	git archive --worktree-attributes --format=tar -o "build/asdf-${version}.tar" ${version} #asdf-all tarball
+	gzip "build/asdf-${version}.tar"
+	mv "build/asdf-${version}.tar.gz" "build/asdf-${version}.tgz"
+	cp "build/asdf.lisp" "build/asdf-${version}.lisp"
+
+publish-archive:
+	rsync --times --chmod=a+rX,ug+w "build/uiop-${version}.tgz" "build/asdf-defsystem-${version}.tgz" \
+"build/asdf-${version}.tgz" "build/asdf-${version}.lisp" common-lisp.net:/project/asdf/public_html/archives
+	ssh common-lisp.net "cd /project/asdf/public_html; ln -sf archives/uiop-${version}.tgz uiop.tgz; ln -sf archives/asdf-defsystem-${version}.tgz asdf-defsystem.tgz; ln -sf archives/asdf-${version}.tgz asdf.tgz; ln -sf archives/asdf-${version}.lisp asdf.lisp"
 
 ### Count lines separately for asdf-driver and asdf itself:
 wc:
@@ -133,12 +156,12 @@
 clean:
 	@for dir in $(clean_dirs); do \
 	     if test -d $$dir; then \
-	     	 echo Cleaning $$dir; \
+		 echo Cleaning $$dir; \
 		 for ext in $(clean_extensions); do \
 		     find $$dir \( -name "*.$$ext" \) \
-	     	    -and -not -path \""*/.git/*"\" \
-		     	  -and -not -path \""*/_darcs/*"\" \
-	     		  -and -not -path \""*/tags/*"\" -print -delete; \
+		    -and -not -path \""*/.git/*"\" \
+			  -and -not -path \""*/_darcs/*"\" \
+			  -and -not -path \""*/tags/*"\" -print -delete; \
 		done; \
 	     fi; \
 	done
@@ -220,26 +243,7 @@
 extract-all-tagged-asdf: build/asdf.lisp
 	./test/run-tests.sh -H
 
-# Note that the debian git at git://git.debian.org/git/pkg-common-lisp/cl-asdf.git is stale,
-# as we currently build directly from upstream at git://common-lisp.net/projects/asdf/asdf.git
-debian-package:
-	./bin/asdf-builder debian-package release
-
-debian-package-from-master:
-	./bin/asdf-builder debian-package master
-
-
-# Replace SBCL's ASDF with the current one. -- NOT recommended now that SBCL has ASDF2.
-# for casual users, just use (asdf:load-system :asdf)
-replace-sbcl-asdf: build/asdf.lisp
-	${SBCL} --eval '(compile-file "$<" :output-file (format nil "~Aasdf/asdf.fasl" (sb-int:sbcl-homedir-pathname)))' --eval '(quit)'
-
-# Replace CCL's ASDF with the current one. -- NOT recommended now that CCL has ASDF2.
-# for casual users, just use (asdf:load-system :asdf)
-replace-ccl-asdf: build/asdf.lisp
-	${CCL} --eval '(progn(compile-file "$<" :output-file (compile-file-pathname (format nil "~Atools/asdf.lisp" (ccl::ccl-directory))))(quit))'
-
-WRONGFUL_TAGS := 1.37 1.1720 README RELEASE STABLE emp # It's not 1.37, it's 1.85! 1.37 is for the README.
+
 # Delete wrongful tags from local repository
 fix-local-git-tags:
 	for i in ${WRONGFUL_TAGS} ; do git tag -d $$i ; done
@@ -270,8 +274,8 @@
 	ext noext
 
 # debug the source registry that will be used to execute commands from this Makefile.
-list-source-registry:
-	${sourceDirectory}/bin/asdf-builder re '(uiop:writeln (sort (alexandria:hash-table-alist asdf::*source-registry*) `string< :key `car))'
+#list-source-registry:
+#	${sourceDirectory}/bin/asdf-builder re '(uiop:writeln (sort (alexandria:hash-table-alist asdf::*source-registry*) `string< :key `car))'
 
 # RELEASE or PUSH checklist:
 # make test-all
