=== debian/changelog ===
cl-asdf (2:3.1.7-1~pgdg70+1) wheezy-pgdg; urgency=medium

  * Rebuild for wheezy-pgdg (jenkins-cl-asdf-source-distribution=wheezy-
    2, Debian unstable source rebuild)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Sun, 15 May 2016 10:38:20 +0200

cl-asdf (2:3.1.7-1) unstable; urgency=medium

  Package changes:
  * temporary fix for upstream 'make clean' deleting debian/patches

  New upstream release:

  * Fix compilation on Genera.
  * Fix UIOP:FILE-EXISTS-P for dotfiles on CCL.
  * Fix infinite loop in source registry configuration that can occur when
        there are cycles in the filesystem (typically caused by symlinks)
        on some CL implementations.
  * Miscellaneous bug fixes.
  * Documentation improvements.
  * Restore original Makefile.

 -- Kambiz Darabi <darabi@m-creations.net>  Thu, 24 Mar 2016 12:12:25 +0100
