## cl-asdf 3.3.0

=== debian/changelog ===
cl-asdf (2:3.3.0-1) unstable; urgency=medium

  * Team upload.

  [ Kambiz Darabi ]
  Package changes:

  * Update Standards-Version to 4.1.1
  * README.Debian now contains correct URLs and source file paths,
    closes: #873035
  * Remove patches which were applied upstream

  New upstream milestone 3.3.0:

  * Build-plan: Extensively revised the build plan process so that
    :DEFSYSTEM-DEPENDS-ON would work correctly, even when depended on systems
    change (which didn't work before). See our ELS demonstration about it:
    "Delivering Common Lisp Applications with ASDF 3.3"
    < https://github.com/fare/asdf2017 >
  * Internals: to support the above, many ASDF internals have changed.
    ASDF now has the notion of multiple build phases to a common build session
    (which generalizes the previous build cache). ASDF considers loading a .asd
    file as an operation DEFINE-OP, and tracks as dependencies files mentioned
    during in :LOAD-FILE-FORM statements, etc. Some code has moved to new
    files or among old files, and between packages. Actions are now
    uniformly represented as a CONS of an OPERATION and a COMPONENT, where
    in some cases previously only the class of the operation was
    preserved. Forcing is constrained to be uniform across all phases of a
    top level ASDF operation invocation. Fixed the protocol for
    resetting systems being (re)defined, allowing subclasses to define
    default slot values. Remove *LOAD-SYSTEM-OPERATION*, as the current
    maintainer of ECL, for which it was originally designed, decided
    that it could never be made to work properly, after all.
  * ASDF&UIOP: Tweak dependencies between ASDF and UIOP. To avoid DEFINE-OP
    circularity, asdf.asd with no longer causes uiop.asd to be loaded.
    A standalone UIOP won't be loaded at all unless it's strictly more recent
    than ASDF.
  * Tests: tests for new capabilities and bugs. Test backtraces can be disabled.
  * Documentation: a number of improvements and clarifications.
  * Feature: a new feature :asdf3.3
  * ECL: restored the deprecated function MAKE-BUILD, removed in 3.2.0,
    in a way that works on top of supported APIs (we still recommend you migrate
    to these supported APIs). Also stop using the deprecated COMPUTE-INIT-NAME.
  * Deprecation: starting to emit STYLE-WARNINGs for deprecated
    functions.  Will gradually escalate to true WARNINGs and then ERRORs.

  New upstream release 3.2.0:

  * launch-program: new UIOP API for asynchronous subprocesses, now available
    on: abcl allegro clozure cmucl ecl (and lispworks os-unix) mkcl sbcl scl.
    Big thanks to Elias Pipping for this significant contribution!
  * parameter-error, not-implemented-error: new UIOP functions to better signal
    abuse of parameters in function calls, or lack of function implementation.
  * with-deprecation macro in UIOP signals style-warnings, then warnings,
    then errors when deprecated functions are used. This macro is now used
    for all deprecated functions in ASDF.
  * require-system, component-loaded-p fixed to not reload .asd files,
    and to work in presence of preloaded-systems, that are now eagerly loaded.
  * registered-system added as an abstraction for internals and extensions.
  * make-operation is now the only supported way to create an operation;
    calling make-instance directly will raise an error. Update your software!
  * Removal of several obsolete backward-compatible internals:
    if-component-dep-fails, operation-forced. Update SLIME!
  * Robustness and portability fixes all around uiop, notably dealing with
    directory access, bundles on ECL and MKCL or with cffi-toolchain,
    dealing with a fatal-condition, surviving use of "logical" pathnames, etc.
  * Tests improved and extensively run on Linux, macOS and, notably, Windows,
    with recent versions of all the maintained CL implementations.
  * Internals of ASDF systematically cleaned up and documented.
  * Build, test, release infrastructure improved, both classic and asdf-tools.
  * Documentation updated.

  [ Sébastien Villemot ]
  * Bump to debhelper compat level 10.
  * Drop Recommends on common-lisp-controller, which is obsolete.
  * Fix Vcs-* fields.
  * d/watch: bump to format version 4, use https.
  * d/copyright: use secure URL for Format field, drop wrong link to Expat file.
  * Drop packaging information from README.Debian.
  * Drop d/upstream/signing-key.asc, since upstream tarball is unsigned.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 13 Oct 2017 18:56:23 +0200
