=== debian/control ===
--- 
+++ 
@@ -9,17 +9,16 @@
   François-René Rideau <fare@tunes.org>,
   Robert P. Goldman <rpgoldman@sift.info>,
   Kambiz Darabi <darabi@m-creations.net>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 10)
 Build-Depends-Indep: texinfo, texlive-extra-utils, texlive, texlive-generic-recommended
-Standards-Version: 3.9.7
+Standards-Version: 4.1.1
 Homepage: http://common-lisp.net/project/asdf/
-Vcs-Git: https://gitlab.common-lisp.net/asdf/asdf.git
-Vcs-Browser: https://gitlab.common-lisp.net/asdf/asdf
+Vcs-Git: https://anonscm.debian.org/git/pkg-common-lisp/cl-asdf.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-common-lisp/cl-asdf.git
 
 Package: cl-asdf
 Architecture: all
-Recommends: common-lisp-controller, sbcl | lisp-compiler
-Breaks: common-lisp-controller (<= 7.3)
+Recommends: sbcl | lisp-compiler
 Depends: ${misc:Depends}
 Suggests: cl-launch (>= 4.1)
 Description: Another System Definition Facility
