## cl-asdf 3.3.2

=== debian/changelog ===
cl-asdf (2:3.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove obsolete README.building.
  * Update d/copyright.
  * Add an autopkgtest that verifies that ASDF is able to upgrade itself
    in sbcl, ecl and clisp.
  * Bump to debhelper compat level 11.
  * Bump S-V to 4.1.4.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 12 May 2018 22:48:30 +0200

cl-asdf (2:3.3.1-2) unstable; urgency=medium

  * Team upload.
  * Set Maintainer to debian-common-lisp@l.d.o.
  * Use secure URL for Homepage in d/control and d/copyright.
  * Register info file into doc-base.
  * Update Vcs-* fields for move to salsa.
  * Ship the HTML manual in the one-page format (easier to search).
  * Ship TODO and best_practices.md. Rename uiop/README.md so that it does not
    override the main README.md.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 05 Apr 2018 22:01:39 +0200
