=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cl-asdf
 Section: lisp
 Priority: optional
-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
+Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
   Milan Zamazal <pdm@zamazal.org>,
   Christoph Egger <christoph@debian.org>,
@@ -9,12 +9,12 @@
   François-René Rideau <fare@tunes.org>,
   Robert P. Goldman <rpgoldman@sift.info>,
   Kambiz Darabi <darabi@m-creations.net>
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: texinfo, texlive-extra-utils, texlive, texlive-generic-recommended
-Standards-Version: 4.1.1
-Homepage: http://common-lisp.net/project/asdf/
-Vcs-Git: https://anonscm.debian.org/git/pkg-common-lisp/cl-asdf.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-common-lisp/cl-asdf.git
+Standards-Version: 4.1.4
+Homepage: https://common-lisp.net/project/asdf/
+Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-asdf.git
+Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-asdf
 
 Package: cl-asdf
 Architecture: all
