=== debian/rules ===
--- 
+++ 
@@ -33,3 +33,8 @@
 # common-lisp.net
 override_dh_auto_install:
 
+override_dh_installdocs:
+	dh_installdocs
+	# Rename uiop/README.md to avoid overriding the main README.md
+	mv debian/cl-asdf/usr/share/common-lisp/source/cl-asdf/uiop/README.md \
+		debian/cl-asdf/usr/share/doc/cl-asdf/README-uiop.md
