=== debian/changelog ===
cl-asdf (2:3.3.3-4) unstable; urgency=medium

  * Team upload
  * sbcl-2.0.1.patch: new patch, fixes compilation failure against SBCL 2.0.1
    (Closes: #950235)
  * Bump S-V to 4.5.0

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 30 Jan 2020 20:16:03 +0100

cl-asdf (2:3.3.3-3) unstable; urgency=medium

  * Team upload
  * Build-Depend on texlive-plain-generic, instead of obsolete
    texlive-generic-recommended (Closes: #941515)
  * Bump S-V to 4.4.1

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 12 Oct 2019 00:53:15 +0200

cl-asdf (2:3.3.3-2) unstable; urgency=medium

  * Team upload
  * Fix clash in doc-base document IDs. (Closes: #933924)
  * Bump to S-V 4.4.0

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 20 Aug 2019 14:25:39 +0200

cl-asdf (2:3.3.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/copyright: reflect upstream changes
  * Bump to debhelper compat level 12
  * Add Rules-Requires-Root: no
  * Remove Julien Danjou from the list of Uploaders (Closes: #928570)
  * Bump to S-V 4.3.0
  * Ship new UIOP manual

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 06 Jul 2019 15:59:37 +0200
