=== debian/control ===
--- 
+++ 
@@ -5,16 +5,20 @@
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
   Milan Zamazal <pdm@zamazal.org>,
   Christoph Egger <christoph@debian.org>,
-  Julien Danjou <acid@debian.org>,
   François-René Rideau <fare@tunes.org>,
   Robert P. Goldman <rpgoldman@sift.info>,
   Kambiz Darabi <darabi@m-creations.net>
-Build-Depends: debhelper (>= 11)
-Build-Depends-Indep: texinfo, texlive-extra-utils, texlive, texlive-generic-recommended
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 12),
+               texinfo,
+               texlive-extra-utils,
+               texlive,
+               texlive-plain-generic,
+               sbcl
+Standards-Version: 4.5.0
 Homepage: https://common-lisp.net/project/asdf/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-asdf.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-asdf
+Rules-Requires-Root: no
 
 Package: cl-asdf
 Architecture: all
