=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 override_dh_auto_build:
 	$(MAKE)
 	$(MAKE) -C doc all
+	$(MAKE) -C uiop/doc all
 	ln -sf build/asdf.lisp .
 
 override_dh_fixperms:
@@ -33,6 +34,11 @@
 # common-lisp.net
 override_dh_auto_install:
 
+override_dh_install:
+	dh_install
+	rm -r debian/cl-asdf/usr/share/common-lisp/source/cl-asdf/uiop/doc/
+	rm debian/cl-asdf/usr/share/common-lisp/source/cl-asdf/contrib/fiveam-asdf/license.txt
+
 override_dh_installdocs:
 	dh_installdocs
 	# Rename uiop/README.md to avoid overriding the main README.md
